#!/usr/bin/perl

use strict;

my $file = shift;
my $content = shift;

# if we're doing an 'ifup'
if ($file =~ m/ifup/)
{
    system($file);
}
# if we're removing aliases
elsif ($file =~ m/rm -f\s+(.*ifcfg-(eth\d\:\d+))/)
{
    system("/sbin/ifdown $2");
    unlink($1);
}
# if we want to write to ifcfg-ethX:N
elsif ($file =~ m|/etc/sysconfig/network-scripts/ifcfg-eth\d+\:|)
{
    system("echo -e '$content' > $file");
}
else
{
    die "Could not write to file: $file";
}

