#!/usr/bin/perl
use strict;
use LWP::Simple;

# get server type
open(VPN, "</etc/sysconfig/vpn");
my $stype = 'fonality';
while(<VPN>) {

	if(/^GW.*trixbox/) {
		$stype = 'trixbox';
		last;
	}
}
close(VPN);

# get server id
open(CONF, "</etc/asterisk/fonality/globals.conf") || die "Can't open globals.conf for reading: $!";
my $srv;
while(<CONF>) {

	if(/^ACCOUNT=(.*)$/) {
		$srv = $1;
		last;
	}
}
close(CONF);

# get extension and new password
my $ext   = $ARGV[1];
my $pswd  = $ARGV[2];

my $url = "http://cp.$stype.com/vm_update_by_ext.cgi?server=$srv&ext=$ext&pswd=$pswd";
print STDERR "vm password change: stype: $stype, server: $srv, ext: $ext, pswd: $pswd\n";
print STDERR "calling $url\n\n";

get($url);
